$(function() {
	// 任务池经过显示信息
	$(".sliding_b_r").each(function(i, it) {
		$(".renwu" + i).hover(function(e) {
			var left = $(this).offset().left;
			var top = $(this).offset().top + $(this).height();
			$("#sliOpen" + i).css({
				"display" : "block",
				"left" : left,
				"top" : top
			});
			e.stopPropagation();
		}, function() {
			$("#sliOpen" + i).hide();
		});
	});
	$(".p").click(function() {
		$(this).find("span").each(function() {
			if($(this).is(".sliding_icon11")){
			}else if($(this).is(".sliding_icon12")){
			}else if($(this).is(".span_app_shrink")){
			}else if ($(this).is(".sliding_b_cur")){
				$(this).removeClass("sliding_b_cur");
			}else{
				$(this).addClass("sliding_b_cur");
			}
		});

	});

});

//回车查询
function enterQuery(){
	 var event = window.event||arguments.callee.caller.arguments[0];
	 
	 if(event.keyCode==13){
		 serachAudit();
	 }
}

function serachAudit() {
	if($("#empName").val().length!=10&&$("#empName").val().length!=8&&$("#empName").val().length!=15){
		 alert("录入格式错误，请输入15位赔案号或者8位和10位日期(20140101/2014-01-01)");
		 return false;
	}else{
		if($("#empName").val().length==8){
			checkDate8($("#empName").val());
			return false;
		}else if($("#empName").val().length==10){
			checkDate10($("#empName").val());
			return false;
		}
		var params={};
		params['empName'] = $("#empName").val();
		SkipByPost("reAuditTask.do",params);
	}
	
}

function go2StaffInfo() {
	var flag = false;
	var params={};
	var str="";
	$("#pageList").find("span").each(function() {
		if ($(this).is(".sliding_b_cur")){
			if(str){
				str = str+"_"+$(this).attr("v1")+"/"+$(this).attr("v2");
			}else{
				str = $(this).attr("v1")+"/"+$(this).attr("v2");
			}
			flag=true;
		}
		
	});
	if(flag == false){
		alert("请选择至少1个需要分配的赔案任务！");
		return;
	}
	params['claim'] = str;
	SkipByPost("reAuditStaffInfo.do",params);
}



function queryClaimTrack(claimNo){
	$("#historyTrack").find("p").remove();
	$.ajax({
		type:"POST",
		url:"queryClaimTrack.do",
		data:{"claimNo":claimNo},
		error :function(){
			alert("查询赔案操作轨迹失败，请稍后再试！");
			return ;
		},
		success :function(data){
			$("#historyTrackClaim").text(claimNo+" 历史轨迹");
			if(data ==""){
				alert("查询赔案操作轨迹失败，请稍后再试！");
				return ;
			}
			for ( var i= 0; i < data.length; i++) {
				var t=data[i];
				var p=$("<p class=\"sild_open_his\"><span class=\"sild_open_his_icon\" style=\"width:20%;white-space:nowrap;\">" +t.operateType+"</span><span style=\"width:30%;white-space:nowrap;\">"+t.operateDate+
						"	</span><span style=\"width:30%;white-space:nowrap;\">"+t.operator+"</span></p>");
				$("#historyTrack").append(p);
			}
			
			showDiv('open1');
		}
	});
}

function setSortValue(sortValue){
	$("#sortValue").val(sortValue);
	$("#formSortId").submit();
}

function goAuditTask(){
	window.location.href="auditTask.do";
}

//校验8位日期格式
function checkDate8(flag){
	if(flag==null || flag==""){
		return true;
	}
	 var reg=/^([2-9]\d{3}((0[1-9]|1[012])(0[1-9]|1\d|2[0-8])|(0[13456789]|1[012])(29|30)|(0[13578]|1[02])31)|(([2-9]\d)(0[48]|[2468][048]|[13579][26])|(([2468][048]|[3579][26])00))0229)$/gi;
	  if(!reg.test(flag)){
	   alert("日期格式输入有误，请输入8位和10位日期(20140101/2014-01-01)！");
	   return false;
	  }else{
		  return true;
	  }
	  
}

//校验10位日期格式
function checkDate10(flag){
	if(flag==null || flag==""){
		return true;
	}
	 var reg=/^[0-9]{4}-(((0[13578]|(10|12))-(0[1-9]|[1-2][0-9]|3[0-1]))|(02-(0[1-9]|[1-2][0-9]))|((0[469]|11)-(0[1-9]|[1-2][0-9]|30)))$/gi;
	  if(!reg.test(flag)){
	   alert("日期格式输入有误，请输入8位和10位日期(20140101/2014-01-01)！");
	   return false;
	  }else{
		  return true;
	  }
	  
}